Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1603461 - bamf: FTBFS in Fedora rawhide
Summary: bamf: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bamf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 14:56 UTC by Mohan Boddu
Modified: 2019-06-15 01:20 UTC (History)
3 users (show)

Fixed In Version: bamf-0.5.4-1.fc30.1 bamf-0.5.4-1.fc29.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-15 00:43:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 14:56 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 14:56 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 14:56 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 14:56:05 UTC
bamf failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28168622


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix bamf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bamf will be orphaned. Before branching of Fedora 30,
bamf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 14:56:09 UTC
Created attachment 1460631 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 14:56:12 UTC
Created attachment 1460632 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 14:56:15 UTC
Created attachment 1460633 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:49:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2019-06-03 00:40:47 UTC
FEDORA-2019-f6a094ca4c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6a094ca4c

Comment 6 Fedora Update System 2019-06-04 01:16:51 UTC
bamf-0.5.4-1.fc30.1 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f6a094ca4c

Comment 7 Fedora Update System 2019-06-04 03:27:22 UTC
bamf-0.5.4-1.fc29.1 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8918f8fc3c

Comment 8 Fedora Update System 2019-06-15 00:43:19 UTC
bamf-0.5.4-1.fc30.1 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-06-15 01:20:55 UTC
bamf-0.5.4-1.fc29.1 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.